Weave Code
Weaver
Helps Laravel developers discover, compare, and choose open-source packages. See popularity, security, maintainers, and scores at a glance to make better decisions.
Feedback
Share your thoughts, report bugs, or suggest improvements.
Subject
Message

Twofactorauth Laravel Package

robthree/twofactorauth

RobThree/TwoFactorAuth is a dependency-light PHP library for TOTP and HOTP two-factor authentication. It generates secrets, verifies codes, and creates QR codes for Google Authenticator, Authy, and compatible apps, making 2FA easy to add to Laravel or any PHP app.

View on GitHub
Deep Wiki
Context7
Package
Score
Description
Stars
Likes
Forks
Downloads
Issues
Score
Opportunity
License
Last Release
spomky-labs/otphp 0.88 A PHP library for generating one-time passwords using the HOTP (RFC 4226) and TOTP (RFC 6238) algorithms, compatible with Google Authenticator and other apps. Generate, verify, and manage OTP secrets easily in your PHP projects. 1,497 1,502 163 2M 0 34.5 47.7 MIT 5 months ago
View on GitHub
Context7
chillerlan/php-authenticator 0.87 A PHP 8.4+ library for generating counter-based (RFC 4226) and time-based (RFC 6238) one-time passwords, compatible with Google Authenticator and Steam Guard, with constant-time encoding and server time sync support. 56 58 2 6K 0 13.5 30.3 MIT 7 months ago
View on GitHub
svc/totp-bundle 0.87 A PHP/Symfony bundle for TOTP-based two-factor authentication, generating and validating time-based one-time passwords with seamless framework integration and straightforward configuration for securing user logins. 3 3 0 3 0 0.0 3.4 MIT —
View on GitHub
liberusoftware/two-factor-authentication-filament 0.87 Adds two-factor authentication to Filament panels. Users enrol via an authenticator app, confirm with a one-time code, and store recovery codes. Includes challenge screens for login, profile pages for enabling or disabling 2FA, and configurable enforcement per panel. 0 0 0 534 0 20.0 44.3 NOASSERTION 4 days ago
View on GitHub
delight-im/otp 0.87 A PHP library for generating and verifying one-time passwords, with support for time-based and counter-based OTPs, configurable code lengths and HMAC algorithms, and simple APIs for adding two-factor authentication to Laravel or any PHP application. 5 5 2 7K 0 0.1 42.0 MIT —
View on GitHub
jonasarts/google-authenticator-bundle 0.87 Symfony bundle for adding Google Authenticator two-factor authentication to your app. Provides TOTP secret generation and code validation, with configurable services for integrating 2FA into login flows. 4 4 1 325 0 0.1 25.1 MIT —
View on GitHub
stephenjude/filament-two-factor-authentication 0.86 Add two-factor authentication to Filament apps with TOTP and passkey support. Install via Composer, add the TwoFactorAuthenticatable trait to your user model, and run the install command to set up migrations and views. 87 87 35 27K 1 26.4 39.2 MIT 3 months ago
View on GitHub
Context7
liberusoftware/two-factor-authentication 0.86 A Laravel/PHP package from Liberu Software for adding two-factor authentication to your applications. It supports TOTP-based 2FA, QR code enrollment, recovery codes, and straightforward integration with existing user models and login flows. 0 0 0 447 0 19.8 43.0 MIT 4 days ago
View on GitHub
kind-work/two-fa 0.86 A Laravel package for adding two-factor authentication to your applications. It helps secure user accounts with an additional verification step and integrates into existing auth flows, giving teams a simple way to strengthen login protection. 3 — 5 — 0 0.3 — NOASSERTION 3 years ago
View on GitHub
hasinhayder/tyro-login 0.85 Tyro Login is a drop-in authentication package for Laravel that adds email/password login, OTP-based passwordless sign-in, registration, password reset, and profile pages, complete with routes, controllers, views, and migrations you can customize. 251 — 26 — 0 2.0 — MIT —
View on GitHub
Context7
wolfcode/authenticator 0.85 A Laravel authentication package for wolfcode/authenticator, offering a simple way to add login, registration, and access control to your PHP applications. Lightweight and easy to integrate. 0 0 0 525 0 0.3 37.6 BSD-2-Clause 1 year ago
View on GitHub
jbtronics/2fa-webauthn 0.85 Adds WebAuthn-based two-factor authentication to Laravel apps, letting users secure accounts with hardware security keys, passkeys, or built-in biometrics. Includes enrollment, verification, and integration with Laravel's auth scaffolding. 15 15 5 9K 0 20.2 44.6 MIT 1 week ago
View on GitHub
michaeldzjap/twofactor-auth 0.85 Lightweight Laravel package that adds two-factor authentication using TOTP codes compatible with Google Authenticator. Includes QR code provisioning, recovery codes, route middleware and events, making it straightforward to secure your application's login flow. 43 43 7 314 0 0.2 8.9 MIT 1 year ago
View on GitHub
scheb/2fa 0.85 scheb/2fa adds two-factor authentication to Symfony applications with TOTP authenticator apps, email codes, backup codes, and trusted-device support. It integrates cleanly with Symfony Security and provides extensible, well-tested building blocks for securing user logins. 597 598 80 32K 5 26.8 29.9 MIT 1 week ago
View on GitHub
Context7
scheb/2fa-backup-code 0.85 Adds backup code support to scheb/2fa for Symfony apps. Generate, store, and validate one-time recovery codes so users can access accounts when they lose their 2FA device. Integrates with existing 2FA flows and user providers. 18 19 0 182K 0 0.1 55.0 MIT —
View on GitHub
rinvex/laravel-authy 0.85 Rinvex Laravel Authy integrates Twilio Authy two-factor authentication into Laravel applications, letting you register users, verify TOTP and SMS tokens, and manage secure 2FA flows through simple configuration, a service provider, and a convenient facade. 32 — 9 — 0 0.5 — MIT —
sonata-project/google-authenticator 0.85 — 429 440 117 107K 0 3.7 23.4 MIT 5 years ago
View on GitHub
christian-riesen/base32 0.85 A strict RFC 4648 Base32 encoder and decoder for PHP, with support for the extended hex alphabet. Decoding rejects malformed input, and the package includes test vectors and unit tests. 134 135 30 1M 0 19.5 60.6 MIT 3 months ago
View on GitHub
r/u2f-two-factor-bundle 0.85 Symfony bundle that adds U2F hardware-key two-factor authentication to your login flow, letting users register and verify USB security keys alongside existing credentials for stronger account protection. 11 12 8 8 4 1.5 4.6 MIT 6 years ago
View on GitHub
mustafa-awami/lara2fa 0.85 — 9 9 0 3 1 0.1 1.6 MIT —
View on GitHub
Weaver

How can I help you explore Laravel packages today?

Conversation history is not saved when not logged in.
Prompt
Add packages to context
No packages found.
elsayed85/laravel-api-exceptions
ouhssini/laravel-demo-mode
daworks/ncloud-outbound-mailer-driver
gp247/cms
ignibyte/aic-gates
nexa-merchant/blog
novasa/laravel-language-center
opencage/geocode
adolfoholzer/parameters
livenetworks/ln-starter
shitoudev/permissionmanager
johannesclimacus/laravel-tui
hocvt/seotools
vitalybaev/sypexgeo
amphibee/themosis-ignition
gito-me/fast-excel
frankyso/laravel-ipaymu
geolize-studio/laravel-chile
boomerangui/chat
cgv/localized-resource